#include <curses.h>

#define TXT  116
#define IRC  105
#define ANSI 97
#define COLOR_NONE 0 

static void finish (int sig);
int guser_handler (Gpm_Event *, void *);
int cuser_handler (MEVENT *, void *);
int get_real (int z);
int get_foreground (int z);
int get_background (int z);
int get_bold (int z);
FILE *file_selection (WINDOW *, const char *);
void save_file (WINDOW *);
void load_file (WINDOW *);
int file_type (WINDOW * mainwin);
void choose_color (WINDOW *);
short yesno (WINDOW *, char *);
void charmap(WINDOW *mainwin);
void main_loop(void);
void main_init (int argc, char **argv);

int irc_map[32] = { 
	1, 4, 3, 5, 2, 6, 10, 15, 14, 7, 9, 8, 12, 13, 11, 0
};

int yairc_map[32] = {
	7, 0, 4, 2, 1, 3, 5, 1, 3, 2, 6, 6, 4, 5, 0, 7, 7
};

int ansi_map[32] = {
	30, 31, 32, 33, 34, 35, 36, 37, 30, 31, 32, 33, 34, 35, 36, 37
};

int color = COLOR_NONE;
int attrb = A_NORMAL;


typedef int (*Curs_Handler)(MEVENT*, void*);

typedef struct {
	WINDOW *mainwin;
	char    chr;
	union {
	   Gpm_Handler *gpm;
		Curs_Handler curs;
	} mouse_handler;
//	Gpm_Handler *gpm_handler;
} global_t;

